# eric5.QScintilla.Lexers.LexerJavaScript

Module implementing a JavaScript lexer with some additional methods.

### Global Attributes

None

### Classes

LexerJavaScript | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJavaScript

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerJavaScript, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerJavaScript | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerJavaScript (Constructor)

LexerJavaScript(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerJavaScript.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerJavaScript.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerJavaScript.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerJavaScript.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up